'use strict';

const express = require('express');
const app = express();
const bodyParser = require('body-parser');
const ejs = require('ejs');
const ph = require('pg');

const votes = {
  sandwiches: 0,
  tacos: 0,
};

const urlencodedParser = bodyParser.urlencoded({ extended: false });

app.set('view engine', 'ejs');
app.set('views', __dirname + '/views');

app.get('/', function (req, res) {
  res.render('pages/index', {
    votes
  });
});

app.post('/vote', urlencodedParser, function (req, res) {
  const vote = req.body.yourVote;
  if (vote == 'sandwiches') {
    votes.sandwiches++;
  }
  else if (vote == 'tacos') {
    votes.tacos++;
  }
  else {
    console.log('Invalid vote:', vote);
  }

  res.redirect('/');
});

const PORT = 8888;
app.listen(PORT);
console.log('Running on http://localhost:' + PORT);
